CVE-2022-22707

No Score

Description

In lighttpd 1.4.46 through 1.4.63, the mod_extforward_Forwarded function of the mod_extforward plugin has a stack-based buffer overflow (4 bytes representing -1), as demonstrated by remote denial of service (daemon crash) in a non-default configuration. The non-default configuration requires handling of the Forwarded header in a somewhat unusual manner. Also, a 32-bit system is much more likely to be affected than a 64-bit system.

References

https://redmine.lighttpd.net/issues/3134

https://www.debian.org/security/2022/dsa-5040

Details

Source: MITRE

Published: 2022-01-06

Updated: 2022-01-12